org.yaml.snakeyaml.tokens

## Class BlockEndToken

- java.lang.Object
- - org.yaml.snakeyaml.tokens.Token
  - - org.yaml.snakeyaml.tokens.BlockEndToken

    public final class BlockEndToken
    extends Token

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.tokens.Token

`Token.ID`

### Constructor Summary

Constructors
Constructor and Description
`BlockEndToken(Mark startMark, Mark endMark)`

### Method Summary

Methods
`Token.ID` `getTokenId()` For error reporting.

### Methods inherited from class org.yaml.snakeyaml.tokens.Token

`getEndMark, getStartMark`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlockEndToken

    public BlockEndToken(Mark startMark,
                 Mark endMark)

### Method Detail

#### getTokenId

    public Token.ID getTokenId()

Description copied from class: `Token`
For error reporting.

Specified by:
  `getTokenId` in class `Token`
Returns:
  ID of this token
See Also:
  "class variable 'id' in PyYAML"